/* Exemplo de argumentos de linha de comando, 
 * incluindo variáveis de ambiente.
 * Ex. prog ARG1 ARG2 ARG3
 */

#include <stdio.h>
#include <string.h>

#define TAM_FRASE   100

// main (int argc, char **argv, char **env) 
int main (int argc, char *argv[], char *env[]) 
{
  int i ;
 
  printf ("Numero de parâmetros da linha de comando: %d\n", argc) ;
 
  printf("\nParametros da linha de comando: ");
  for (i = 0; i < argc; i++)
    printf ("\targv[%d]: %s\n", i, argv[i]) ;
 
  printf("\nDigite <ENTER> para continuar ");
  getchar();

  printf("\n***** Variaveis de Ambiente *****\n");

  while (*env)
    printf ("\t%s\n", *env++);

  if (strcmp(argv[1],"FIM"))
    return (0) ;
  else
    return (15);

}
